clear
local path="C:\Users\a0910846\Dropbox\FivaNatvik2013_Replication"
cd `path'
use FivaNatvik_Main.dta
cap mkdir "`path'\instrument"
cd `path'\instrument

**************************** MAKE INSTRUMENT ***************************
drop if seatshare_other>0
drop ch_support_county* SupportNationalCounty

drop if fylke==20 & electionperiod==5 /* aune-lista sto for omkring 30% av stemmene i finnmark v 1989valget, gammel ap ordfrer */
drop if fylke==18 & electionperiod==7 /* kystpartiet fr over 5% av stemmene i 15-20 kommuner, max 19% p rst */

***************  COUNTY LEVEL CHANGE IN SUPPORT OF BLOC OF INCUMBENT 

preserve

sort fylke electionperiod
g ch_support_soc_pop=(votenat_left-voteshare_left)*pop
by fylke electionperiod: egen ch_support_soc_pop_fylke = total(ch_support_soc_pop)
by fylke electionperiod: egen fylke_pop=total(pop)
replace ch_support_soc_pop_fylke=ch_support_soc_pop_fylke-ch_support_soc_pop
replace fylke_pop=fylke_pop-pop
replace ch_support_soc_pop_fylke=ch_support_soc_pop_fylke/fylke_pop
replace ch_support_soc_pop_fylke=ch_support_soc_pop_fylke*(-1) if mayor_left==0
rename ch_support_soc_pop_fylke ch_support_county


** COUNTY LEVEL SUPPORT FOR INCUMBENT 

sort fylke electionperiod
g SupportNationalSoc_pop=(votenat_left)*pop
by fylke electionperiod: egen SupportNationalSoc_fylke = total(SupportNationalSoc_pop)
replace SupportNationalSoc_fylke=SupportNationalSoc_fylke-SupportNationalSoc_pop
replace SupportNationalSoc_fylke=SupportNationalSoc_fylke/fylke_pop
drop SupportNationalSoc_pop 
rename SupportNationalSoc_fylke SupportNationalCounty 
replace SupportNationalCounty = (1-SupportNationalCounty) if mayor_left==0

keep knr electionp ch_support_county SupportNationalCounty
sort knr electionp
save iv1, replace


***************  COUNTY LEVEL CHANGE IN SUPPORT OF BLOC OF INCUMBENT - REGION EXCLUDED

restore
preserve

sort fylke electionperiod
g ch_support_soc_pop=(votenat_left-voteshare_left)*pop	
by fylke electionperiod: egen ch_support_soc_pop_fylke = total(ch_support_soc_pop)
by fylke electionperiod: egen fylke_pop2=total(pop)

sort region electionperiod
by region electionperiod: egen ch_support_soc_pop_region = total(ch_support_soc_pop)
by region electionperiod: egen region_pop=total(pop)

g ZZ_pop=fylke_pop2-region_pop

g ch_support_soc_NOregion=ch_support_soc_pop_fylke-ch_support_soc_pop_region
replace ch_support_soc_NOregion=ch_support_soc_NOregion/ZZ_pop
replace ch_support_soc_NOregion=ch_support_soc_NOregion*(-1) if mayor_left==0
rename ch_support_soc_NOregion ch_support_county_noregion
drop ch_support_soc*

keep knr electionp ch_support_county_noregion 
sort knr electionp
save iv2, replace


***************  COUNTY LEVEL CHANGE IN SUPPORT OF BLOC OF INCUMBENT - COUNTY ADM-EXCLUDED

restore
drop if countyadm==1

sort fylke electionperiod
g ch_support_soc_pop=(votenat_left-voteshare_left)*pop
by fylke electionperiod: egen ch_support_soc_pop_fylke = total(ch_support_soc_pop)
by fylke electionperiod: egen fylke_pop=total(pop)
replace ch_support_soc_pop_fylke=ch_support_soc_pop_fylke-ch_support_soc_pop
replace fylke_pop=fylke_pop-pop
replace ch_support_soc_pop_fylke=ch_support_soc_pop_fylke/fylke_pop
replace ch_support_soc_pop_fylke=ch_support_soc_pop_fylke*(-1) if mayor_left==0
rename ch_support_soc_pop_fylke ch_support_county_nocountyadm

keep knr electionp ch_support_county_nocountyadm 
sort knr electionp
save iv3, replace
